Package org.apache.commons.imaging.common

# Class AbstractBinaryOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.commons.imaging.common.AbstractBinaryOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public abstract class AbstractBinaryOutputStream extends FilterOutputStream

- ## Field Summary

  ### Fields inherited from class java.io.FilterOutputStream

  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBinaryOutputStream(OutputStream outputStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.commons.imaging.common.BigEndianBinaryOutputStream`
  `bigEndian(OutputStream outputStream)`
  `static AbstractBinaryOutputStream`
  `create(OutputStream outputStream, ByteOrder byteOrder)`
  `static org.apache.commons.imaging.common.LittleEndianBinaryOutputStream`
  `littleEndian(OutputStream outputStream)`
  `abstract void`
  `write2Bytes(int value)`
  `abstract void`
  `write3Bytes(int value)`
  `abstract void`
  `write4Bytes(int value)`

  ### Methods inherited from class java.io.FilterOutputStream

  `close, flush, write, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBinaryOutputStream

    public AbstractBinaryOutputStream(OutputStream outputStream)

- ## Method Details

  - ### bigEndian

    public static org.apache.commons.imaging.common.BigEndianBinaryOutputStream bigEndian(OutputStream outputStream)

  - ### create

    public static AbstractBinaryOutputStream create(OutputStream outputStream, ByteOrder byteOrder)

  - ### littleEndian

    public static org.apache.commons.imaging.common.LittleEndianBinaryOutputStream littleEndian(OutputStream outputStream)

  - ### write2Bytes

    public abstract void write2Bytes(int value) throws IOException
    Throws:
      `IOException`

  - ### write3Bytes

    public abstract void write3Bytes(int value) throws IOException
    Throws:
      `IOException`

  - ### write4Bytes

    public abstract void write4Bytes(int value) throws IOException
    Throws:
      `IOException`